declare const _default: {
    bootstrap: ({ strapi }: {
        strapi: import("@strapi/types/dist/core").Strapi;
    }) => void;
    destroy: ({ strapi }: {
        strapi: import("@strapi/types/dist/core").Strapi & {
            io?: import("socket.io").Server<import("socket.io").DefaultEventsMap, import("socket.io").DefaultEventsMap, import("socket.io").DefaultEventsMap, any>;
        };
    }) => void;
    controllers: {
        controller: ({ strapi }: {
            strapi: import("@strapi/types/dist/core").Strapi;
        }) => {
            getSettings(ctx: any): Promise<void>;
            getStatusBySlug(ctx: any): Promise<false | {
                editedBy: string;
            }>;
            getStatusByIdAndSlug(ctx: any): Promise<false | {
                editedBy: string;
            }>;
            setStatusByIdAndSlug(ctx: any): Promise<boolean>;
            deleteStatusByIdAndSlug(ctx: any): Promise<string>;
        };
    };
    routes: {
        method: string;
        path: string;
        handler: string;
        /**
         * Plugin server methods
         */
        config: {
            policies: any[];
        };
    }[];
    contentTypes: {
        'open-entity': {
            schema: {
                kind: string;
                collectionName: string;
                info: {
                    singularName: string;
                    pluralName: string;
                    displayName: string;
                    description: string;
                };
                options: {
                    draftAndPublish: boolean;
                };
                pluginOptions: {
                    'content-manager': {
                        visible: boolean;
                    };
                    'content-type-builder': {
                        visible: boolean;
                    };
                };
                attributes: {
                    entityDocumentId: {
                        type: string;
                        configurable: boolean;
                    };
                    entityId: {
                        type: string;
                        configurable: boolean;
                    };
                    user: {
                        type: string;
                        configurable: boolean;
                    };
                    connectionId: {
                        type: string;
                        configurable: boolean;
                    };
                };
            };
        };
    };
};
export default _default;
